# see https://github.com/antirez/redis/blob/unstable/redis.conf

cluster-enabled yes
cluster-config-file nodes.conf
appendonly yes
port {{ PORT }}
bind {{ BIND }}
cluster-announce-ip {{ CLUSTER_ANNOUNCE_IP }}
cluster-announce-port {{ CLUSTER_ANNOUNCE_PORT }}
cluster-announce-bus-port {{ CLUSTER_ANNOUNCE_BUS_PORT }}
cluster-node-timeout {{ CLUSTER_NODE_TIMEOUT }}

# Warning: since Redis is pretty fast an outside user can try up to
# 150k passwords per second against a good box. This means that you should
# use a very strong password otherwise it will be very easy to break.
{% if REDIS_PASS %}
requirepass {{ REDIS_PASS }}
{% endif %}

{% if REDIS_PASS %}
masterauth {{ REDIS_PASS }}
{% endif %}
